Bug 830712 - SELinux is preventing /usr/libexec/polkit-1/polkit-agent-helper-1 from read, write access on the file host_0.
SELinux is preventing /usr/libexec/polkit-1/polkit-agent-helper-1 from read, ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7e7473b034531ab8117b603a102...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 05:40 EDT by Enrico Scholz
Modified: 2012-06-16 20:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:04:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2012-06-11 05:40:12 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Mo 11 Jun 2012 11:40:00 CEST

description:
:SELinux is preventing /usr/libexec/polkit-1/polkit-agent-helper-1 from read, write access on the file host_0.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If sie denken, dass polkit-agent-helper-1 standardmässig erlaubt sein sollte, read write Zugriff auf host_0 file zu erhalten.
:Then sie sollten dies als Fehler melden.
:Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
:Do
:zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
:# grep polkit-agent-he /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:policykit_auth_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:krb5_host_rcache_t:s0
:Target Objects                host_0 [ file ]
:Source                        polkit-agent-he
:Source Path                   /usr/libexec/polkit-1/polkit-agent-helper-1
:Port                          <Unbekannt>
:Host                          (removed)
:Source RPM Packages           polkit-0.104-6.fc17.x86_64
:                              polkit-0.104-6.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.7-1.fc17.x86_64 #1 SMP Mon May 21 22:32:19 UTC
:                              2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fr 08 Jun 2012 17:47:41 CEST
:Last Seen                     Fr 08 Jun 2012 17:47:41 CEST
:Local ID                      b2fde819-98d7-4431-ab82-cd0fb96b53ba
:
:Raw Audit Messages
:type=AVC msg=audit(1339170461.701:345): avc:  denied  { read write } for  pid=29444 comm="polkit-agent-he" name="host_0" dev="dm-8" ino=414 scontext=unconfined_u:unconfined_r:policykit_auth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:krb5_host_rcache_t:s0 tclass=file
:
:
:type=AVC msg=audit(1339170461.701:345): avc:  denied  { open } for  pid=29444 comm="polkit-agent-he" name="host_0" dev="dm-8" ino=414 scontext=unconfined_u:unconfined_r:policykit_auth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:krb5_host_rcache_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1339170461.701:345): arch=x86_64 syscall=open success=yes exit=EINTR a0=22e2580 a1=2 a2=180 a3=10 items=0 ppid=3810 pid=29444 auid=505 uid=505 gid=505 euid=0 suid=0 fsuid=0 egid=505 sgid=505 fsgid=505 tty=(none) ses=3 comm=polkit-agent-he exe=/usr/libexec/polkit-1/polkit-agent-helper-1 subj=unconfined_u:unconfined_r:policykit_auth_t:s0-s0:c0.c1023 key=(null)
:
:Hash: polkit-agent-he,policykit_auth_t,krb5_host_rcache_t,file,read,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-11 14:17:02 EDT
Fixed in selinux-policy-3.10.0-130.fc17
Comment 2 Fedora Update System 2012-06-11 17:02:45 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 19:59:42 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:04:40 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.